html, body {
    height: 100%;
    margin: 0;
    padding: 0;
}

h2 {
  position: fixed;
  left: -120px;
  top: 50%;
  transform: translateY(-50%);
  writing-mode: vertical-rl;
  white-space: nowrap;
  font-size: 120px;
  font-weight: bold; 
    font-family: Impact, Haettenschweiler;
   background: linear-gradient(to bottom, #c0d4eb, #27408B);
  
  background-size: 100% 200%;
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  animation: move 4s ease-in infinite;
}
@keyframes move {
  0% {

    background-position: 0% 0%;
  }
  
  50% {
    background-position: 0% 100%;
  }
  
  100% {
    background-position: 0% 0%;
  }
}

body {
  background-color: #c0d4eb
}


.himmbeere {
    margin-top: 50px;
}

.portfolio1 {
  width: 100vw;
  height: 100vh;
  background-image: url("Portfolio.jpg");
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
}

.himmbeere {
  position: absolute;
  top: 40%;
  left: 36%;
  transform: translate(-50%, -50%);
  width: 500px;
  height: auto;
  border: 7px solid white;
}

.cowboy {
  position: absolute;
  top: 70%;
  left: 70%;
  transform: translate(-50%, -50%);
  width: 475px;
  height: auto;
  border: 7px solid white;
}

h1 {
  font-family: Impact, Arial, sans-serif;
  font-size: 20px;
  color: #ffffff;
  text-shadow: 2px 2px 5px #27408B;

  position: absolute;
  top: 90%;
  left: 15%;

  width: 505px; 
  z-index: 10;
}

p {
  font-family: Impact, Arial, sans-serif;
  font-size: 20px;
  color: #ffffff;
  text-shadow: 2px 2px 5px #27408B;

  position: absolute;
  top: 45px;
  left: 790px;

  width: 505px; 
  z-index: 10;
}

nav {
  position: fixed;
  right: 0;
  top: 50%;
  transform: translateY(-50%);
  display: flex;
  flex-direction: column;
  gap: 50px;
  align-items: flex-end;
  text-align: right;
}

nav a {
  font-family: Impact, sans-serif;
  font-size: 25px;
  text-decoration: none;
  background: linear-gradient(to bottom, #c0d4eb, #27408B);
  
  background-size: 100% 200%;
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  animation: move 4s ease-in infinite;
  letter-spacing: 2px;
}

nav a:hover {
  color: gray;
}